Bug 142377 - Static IP make rhn-applet delay gnome logout
Static IP make rhn-applet delay gnome logout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Robin Norwood
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 06:19 EST by Alexandre Gomes
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:32:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Gomes 2004-12-09 06:19:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
I've a laptop with static IP. When using it offline I login into
gnome, then the applet seems to make a loop trying to connect. I make
Shutdown/Restart/Logout and gnome delay from 0 to 3-5minutes before it
goes down.
If I kill the applet the system makes what I asked in that exact moment.

Version-Release number of selected component (if applicable):
2.1.16

How reproducible:
Always

Steps to Reproduce:
1. Have a static IP
2. Start gnome and make logout
    

Actual Results:  Delay in logout

Expected Results:  Instant logout

Additional info:

This bug made me to force shutdown, as me if there are others, this is
a High Severity bug since it can make people think that pc crashed and
try to force a shudown.
Comment 1 Alexandre Gomes 2004-12-20 09:31:45 EST
Another way of "killing" the delay is to do a /sbin/ifdown eth0
Comment 2 Alexandre Gomes 2004-12-20 09:32:28 EST
Another way of "killing" the delay is to do a /sbin/ifdown eth0,
This should be done by fedora when no cable is present.
Comment 3 Matthew Miller 2006-07-10 19:05:41 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-10-29 17:35:35 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version
appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.
Comment 5 John Thacker 2006-11-05 11:32:20 EST
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.